User
Get User
GET /user/{UUID} or /user/@{username}
Notes
- If left empty, it will get the owner of the token's info
- You will only receive the email of the token owner if you have the
user.emailscope - It will return
NULLfor bothemailandemail_verified
- You will only receive the email of the token owner if you have the
- When requesting a specific user, the
emailandemail_verifiedwill not be returned avatarcurrently returns a Gravatar URL; you can follow their docs for further customisation
Scopes
user.get,user.email
Response
- 200
{
"uuid": "string",
"username": "string",
"display_name": "string",
"avatar": "string",
"email": "string",
"email_verified": "boolean",
"badge": ["array"],
"bio": "string",
"follow_count": int,
"following_count": int,
"joined": timestamp
}
Get User Posts
GET /user/{UUID}/posts/{page}
Scopes
user.get,post.get
Response
- 200
{
"user": "string",
"posts": [
{"post object"},
{"post object"},
{"post object"}
]
}
Follow/Unfollow
POST /user/{UUID}/follow
Scopes
user.get,user.follow
Response
- 200
{
"action": "followed",
"uuid": "string"
}
{
"action": "unfollowed",
"uuid": "string"
}
Get Following
GET /user/{UUID}/following
Scopes
user.get,user.following.get
Response
- 200
{
"following": ["array"]
}
Get Followers
GET /user/{UUID}/followers
Scopes
user.get,user.followers.get
Response
- 200
{
"followers": ["array"]
}